LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XGridColumnListener Interface Referencepublished

An instance of this interface is used by the XGridColumnModel to get notifications about column model changes. More...

`import"XGridColumnListener.idl";`

Inheritance diagram for XGridColumnListener:

## Public Member Functions
void | columnChanged ([in] GridColumnEvent event)
| Invoked after a column was modified. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

An instance of this interface is used by the XGridColumnModel to get notifications about column model changes.

Since
  OOo 3.3

## Member Function Documentation

## ◆ columnChanged()

void columnChanged | ( | [in] GridColumnEvent | event | ) |

Invoked after a column was modified.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/grid/XGridColumnListener.idl